Get Campaign Mno Metadata
Get the campaign metadata for each MNO it was submitted to.
GET
/
10dlc
/
campaign
/
{campaignId}
/
mnoMetadata
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.messaging10dlc.campaign.getMnoMetadata('campaignId');
console.log(response['10999']);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.messaging_10dlc.campaign.get_mno_metadata(
"campaignId",
)
print(response._10999)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Messaging10dlc.Campaign.GetMnoMetadata(context.TODO(), "campaignId")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Number10999)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messaging10dlc.campaign.CampaignGetMnoMetadataParams;
import com.telnyx.sdk.models.messaging10dlc.campaign.CampaignGetMnoMetadataResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
CampaignGetMnoMetadataResponse response = client.messaging10dlc().campaign().getMnoMetadata("campaignId");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.messaging_10dlc.campaign.get_mno_metadata("campaignId")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->messaging10dlc->campaign->getMnoMetadata('campaignId');
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-10dlc:campaign get-mno-metadata \
--api-key 'My API Key' \
--campaign-id campaignIdcurl --request GET \
--url https://api.telnyx.com/v2/10dlc/campaign/{campaignId}/mnoMetadata \
--header 'Authorization: Bearer <token>'{
"10999": {
"qualify": true,
"mno": "<string>",
"noEmbeddedLink": true,
"reqSubscriberHelp": true,
"reqSubscriberOptout": true,
"mnoReview": true,
"noEmbeddedPhone": true,
"mnoSupport": true,
"reqSubscriberOptin": true,
"minMsgSamples": 1
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the campaign in question
Response
Successful Response. It constains a map of usecase metadata for each MNO. The key is the network ID of the MNO (e.g. 10017), the value is the mno metadata for the usecase. The metadata may also include some MNO specific fields.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.messaging10dlc.campaign.getMnoMetadata('campaignId');
console.log(response['10999']);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.messaging_10dlc.campaign.get_mno_metadata(
"campaignId",
)
print(response._10999)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Messaging10dlc.Campaign.GetMnoMetadata(context.TODO(), "campaignId")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Number10999)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messaging10dlc.campaign.CampaignGetMnoMetadataParams;
import com.telnyx.sdk.models.messaging10dlc.campaign.CampaignGetMnoMetadataResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
CampaignGetMnoMetadataResponse response = client.messaging10dlc().campaign().getMnoMetadata("campaignId");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.messaging_10dlc.campaign.get_mno_metadata("campaignId")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->messaging10dlc->campaign->getMnoMetadata('campaignId');
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-10dlc:campaign get-mno-metadata \
--api-key 'My API Key' \
--campaign-id campaignIdcurl --request GET \
--url https://api.telnyx.com/v2/10dlc/campaign/{campaignId}/mnoMetadata \
--header 'Authorization: Bearer <token>'{
"10999": {
"qualify": true,
"mno": "<string>",
"noEmbeddedLink": true,
"reqSubscriberHelp": true,
"reqSubscriberOptout": true,
"mnoReview": true,
"noEmbeddedPhone": true,
"mnoSupport": true,
"reqSubscriberOptin": true,
"minMsgSamples": 1
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}